Sign in Start for free

Telemetry

Get the latest telemetry data

GET /api/telemetry/download

Response

200 — Success

Example Response

JSON
"string"

Get the last telemetry task

GET /api/telemetry/lastTask

Response

200 — The requested last Telemetry Task

  • Arguments object
    Gets or sets any arguments to the task.
  • CanRerun boolean
    If true, then the task can be used as the basis for a new task with the same effect.
  • Completed string
    Gets or sets a value indicating the completion status of the task. May be “Timed out”, “Queued…”, “Executing…”, or the time at which the task completed for completed tasks.
  • CompletedTime string
    Gets or sets the date/time that the task completed. Will be null if the task has not yet completed. Format date-time.
  • Description string
    Gets or sets a short, human-understandable description of this task. An example might be “Manual database backup”. This is the name that will be shown in the task list.
  • Duration string
    Gets or sets a string indicating how long the task took to run.
  • ErrorMessage string
    Gets or sets a short summary of the errors encountered when the task ran (if any).
  • EstimatedRemainingQueueDurationSeconds integer
  • FinishedSuccessfully boolean
    Gets or sets a value indicating whether the task ran to completion successfully.
  • HasBeenPickedUpByProcessor boolean
    Gets or sets a boolean value indicating whether the Octopus Server is processing this task.
  • HasPendingInterruptions boolean
    True if the task has any pending interruptions.
  • HasPendingPreconditions boolean
    True if the task has any pending preconditions.
  • HasWarningsOrErrors boolean
    True if any warnings or non-fatal errors were recorded in the task log during execution.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsCompleted boolean
    Gets or sets a value indicating whether the task has completed (that is, not queued, not running, and not paused; may have finished successfully or failed).
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastUpdatedTime string
    Gets or sets the time that the Octopus server last updated the status of this task. For a running task this should happen at least every couple of minutes. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Gets or sets the name of the task to create. This name must be one of the list of possible names documented in the create API operation documentation.
  • PendingInterruptionTypes array of enum
    Contains a list of the types of any pending interruptions.
    Allowed values: ManualIntervention, GuidedFailure, PullRequestCompletion, ArgoCDApplicationSync, KubernetesResourceVerification.
  • PendingPreconditionTypes array of string
    Contains a list of the types of any pending preconditions.
  • ProjectId string
    If the task belongs to a project (e.g. a deployment), the ID of the project it belongs to.
  • QueueTime string
    Gets or sets the time at which the task was queued. Format date-time.
  • QueueTimeExpiry string
    Gets or sets the time at which the task will timeout if it has not started executing. Format date-time.
  • ServerNode string
    Gets the ID of the Octopus server that created and will control this task.
  • SpaceId string
  • StartTime string
    Gets or sets the time at which the task started executing. Format date-time.
  • State enum
    Gets or sets the current state of the task.
    Allowed values: Queued, Executing, Failed, Canceled, TimedOut, Success, Cancelling.

Example Response

JSON
{
  "Arguments": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "CanRerun": true,
  "Completed": "string",
  "CompletedTime": "2020-01-01T00:00:00.000Z",
  "Description": "string",
  "Duration": "string",
  "ErrorMessage": "string",
  "EstimatedRemainingQueueDurationSeconds": 0,
  "FinishedSuccessfully": true,
  "HasBeenPickedUpByProcessor": true,
  "HasPendingInterruptions": true,
  "HasPendingPreconditions": true,
  "HasWarningsOrErrors": true,
  "Id": "string",
  "IsCompleted": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastUpdatedTime": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "PendingInterruptionTypes": [
    "ManualIntervention"
  ],
  "PendingPreconditionTypes": [
    "string"
  ],
  "ProjectId": "string",
  "QueueTime": "2020-01-01T00:00:00.000Z",
  "QueueTimeExpiry": "2020-01-01T00:00:00.000Z",
  "ServerNode": "string",
  "SpaceId": "string",
  "StartTime": "2020-01-01T00:00:00.000Z",
  "State": "Queued"
}

Get the Telemetry configuration

GET /api/telemetryconfiguration

Response

200 — The requested Telemetry Configuration

  • Enabled boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsTelemetryEnforced boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ShowAsNewUntil string
    Format date-time.

Example Response

JSON
{
  "Enabled": true,
  "Id": "string",
  "IsTelemetryEnforced": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ShowAsNewUntil": "2020-01-01T00:00:00.000Z"
}

Update the Telemetry Configuration

PUT /api/telemetryconfiguration

Request Body

  • Enabled boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsTelemetryEnforced boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ShowAsNewUntil string
    Format date-time.

Response

200 — Confirmation that Telemetry Configuration was modified, containing the new configuration

  • Enabled boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsTelemetryEnforced boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ShowAsNewUntil string
    Format date-time.

Example Request

JSON
{
  "Enabled": true,
  "Id": "string",
  "IsTelemetryEnforced": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ShowAsNewUntil": "2020-01-01T00:00:00.000Z"
}

Example Response

JSON
{
  "Enabled": true,
  "Id": "string",
  "IsTelemetryEnforced": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ShowAsNewUntil": "2020-01-01T00:00:00.000Z"
}